Debian Bug report logs - #627254
sprng: please pass CFLAGS (ie: fix armhf support)

version graph

Package: src:sprng; Maintainer for src:sprng is Dirk Eddelbuettel <edd@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Wed, 18 May 2011 23:18:07 UTC

Severity: important

Tags: patch

Found in version sprng/2.0a-7

Fixed in version sprng/2.0a-8

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dirk Eddelbuettel <edd@debian.org>:
Bug#627254; Package src:sprng. (Wed, 18 May 2011 23:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Dirk Eddelbuettel <edd@debian.org>. (Wed, 18 May 2011 23:18:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: sprng: please pass CFLAGS (ie: fix armhf support)
Date: Thu, 19 May 2011 02:15:54 +0300
[Message part 1 (text/plain, inline)]
Source: sprng
Version: 2.0a-7
Severity: important
Tags: patch

According to

http://buildd.debian-ports.org/status/fetch.php?pkg=sprng&arch=armhf&ver=2.0a-7&stamp=1305578678

Fixing the rules and Makefile to pass CFLAGS, enables to pass the proper
flag to gcc in order to fix the build error.
Please consider accepting the patch (or feel free to provide an alternative)

Regards

Konstantinos

-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[sprng_armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627254; Package src:sprng. (Thu, 19 May 2011 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Thu, 19 May 2011 00:15:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 627254@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#627254: sprng: please pass CFLAGS (ie: fix armhf support)
Date: Wed, 18 May 2011 19:13:25 -0500
Hi Markos,

On 19 May 2011 at 02:15, Konstantinos Margaritis wrote:
| Source: sprng
| Version: 2.0a-7
| Severity: important
| Tags: patch
| 
| According to
| 
| http://buildd.debian-ports.org/status/fetch.php?pkg=sprng&arch=armhf&ver=2.0a-7&stamp=1305578678
| 
| Fixing the rules and Makefile to pass CFLAGS, enables to pass the proper
| flag to gcc in order to fix the build error.
| Please consider accepting the patch (or feel free to provide an alternative)

Great patch, thank you very much!  2.0a-8 is building right now.

Dirk
 
| Regards
| 
| Konstantinos
| 
| -- System Information:
| Debian Release: squeeze/sid
| Architecture: armhf (armv7l)
| 
| Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
| Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
| Shell: /bin/sh linked to /bin/dash
| 
| ----------------------------------------------------------------------
| diff -ruN sprng-2.0a/debian/rules sprng-2.0a.armhf//debian/rules
| --- sprng-2.0a/debian/rules	2011-05-19 00:03:18.000000000 +0300
| +++ sprng-2.0a.armhf//debian/rules	2011-05-19 00:01:48.087300486 +0300
| @@ -13,7 +13,12 @@
|  debdoc	:= $(CURDIR)/debian/$(docpack)
|  arch 	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
|  
| -compilerflags	= "-O2 -D_REENTRANT"
| +DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
| +ifeq ($(DEB_HOST_ARCH),armhf)
| +export compilerflags = -O2 -D_REENTRANT -Wa,-mimplicit-it=thumb
| +else
| +export compilerflags = -O2 -D_REENTRANT
| +endif
|  
|  #export DH_VERBOSE=1
|  #export DH_COMPAT=3
| Binary files sprng-2.0a/EXAMPLES/sprngD and sprng-2.0a.armhf//EXAMPLES/sprngD differ
| diff -ruN sprng-2.0a/include/d~ sprng-2.0a.armhf//include/d~
| --- sprng-2.0a/include/d~	1999-06-29 19:42:11.000000000 +0300
| +++ sprng-2.0a.armhf//include/d~	1970-01-01 02:00:00.000000000 +0200
| @@ -1 +0,0 @@
| -diff -n $1 /u/ncsa/ashoks/rng/sprng/TESTS/$1
| \ No newline at end of file
| Binary files sprng-2.0a/SRC/check_gen_ptr and sprng-2.0a.armhf//SRC/check_gen_ptr differ
| Binary files sprng-2.0a/SRC/check_gen_simple and sprng-2.0a.armhf//SRC/check_gen_simple differ
| diff -ruN sprng-2.0a/SRC/make.GENERIC sprng-2.0a.armhf//SRC/make.GENERIC
| --- sprng-2.0a/SRC/make.GENERIC	2011-05-19 00:03:18.000000000 +0300
| +++ sprng-2.0a.armhf//SRC/make.GENERIC	2011-05-18 23:57:26.507299360 +0300
| @@ -26,7 +26,7 @@
|  # Try adding: -DGENERIC to CFLAGS. This can improve speed, but may give
|  # incorrect values. Check with 'checksprng' to see if it works.
|  
| -CFLAGS = -O -fpic $(PMLCGDEF) $(MPIDEF) ${GMPDEF}
| +CFLAGS = -O -fpic $(PMLCGDEF) $(MPIDEF) ${GMPDEF} $(compilerflags)
|  CLDFLAGS = -O
|  FFLAGS = -O $(PMLCGDEF) $(MPIDEF) ${GMPDEF}
|  F77LDFLAGS = -O

-- 
Gauss once played himself in a zero-sum game and won $50.
                      -- #11 at http://www.gaussfacts.com




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627254; Package src:sprng. (Thu, 19 May 2011 00:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. (Thu, 19 May 2011 00:15:05 GMT) Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. (Thu, 19 May 2011 00:36:03 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Thu, 19 May 2011 00:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 627254-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 627254-close@bugs.debian.org
Subject: Bug#627254: fixed in sprng 2.0a-8
Date: Thu, 19 May 2011 00:32:19 +0000
Source: sprng
Source-Version: 2.0a-8

We believe that the bug you reported is fixed in the latest version of
sprng, which is due to be installed in the Debian FTP archive:

libsprng2-dev_2.0a-8_i386.deb
  to main/s/sprng/libsprng2-dev_2.0a-8_i386.deb
libsprng2-doc_2.0a-8_all.deb
  to main/s/sprng/libsprng2-doc_2.0a-8_all.deb
libsprng2_2.0a-8_i386.deb
  to main/s/sprng/libsprng2_2.0a-8_i386.deb
sprng_2.0a-8.diff.gz
  to main/s/sprng/sprng_2.0a-8.diff.gz
sprng_2.0a-8.dsc
  to main/s/sprng/sprng_2.0a-8.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627254@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated sprng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 May 2011 19:10:54 -0500
Source: sprng
Binary: libsprng2 libsprng2-dev libsprng2-doc
Architecture: source i386 all
Version: 2.0a-8
Distribution: unstable
Urgency: low
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 libsprng2  - SPRNG Scalable Parallel RNG library -- library package
 libsprng2-dev - SPRNG Scalable Parallel RNG library -- development package
 libsprng2-doc - SPRNG Scalable Parallel RNG library -- documentation package
Closes: 627254
Changes: 
 sprng (2.0a-8) unstable; urgency=low
 .
   * debian/rules, SRC/make.GENERIC: Applied patch kindly supplied by
     Konstantinos Margaritis to address a build regression on armhf systems
   							(Closes: #627254)
 .
   * debian/control: Removed article from beginning of Description:
   								[lintian]
Checksums-Sha1: 
 a70f9ddfb045c31ec20e473ebef1b5754d3b52f4 965 sprng_2.0a-8.dsc
 877f95eb15ba76792952b9fa54ed3df7e7b67b0b 8301 sprng_2.0a-8.diff.gz
 38ff033be6454b9545291c37f757a1ac70165b3e 98868 libsprng2_2.0a-8_i386.deb
 56c8a7a64d7dea4bf6e4e314c5ae0285d17fd509 105868 libsprng2-dev_2.0a-8_i386.deb
 4a91d01b96f29061dc2e813dd0fe37bd5464b973 1197422 libsprng2-doc_2.0a-8_all.deb
Checksums-Sha256: 
 20cfb712bda1e4b29caf46389fa3fcf866cf82ea511f1d3e3ab23c30e6b68fdf 965 sprng_2.0a-8.dsc
 928ad67c8e43945d704b40f196fea3e7f57ae0066cbc6e914faf67d38fab5054 8301 sprng_2.0a-8.diff.gz
 054af9913a2f02d70730ae630d95de421660b0fd0ee98bae2ec0efd5040a5507 98868 libsprng2_2.0a-8_i386.deb
 848ab8b915a7f216930ade8b293ecec8066ba94fe70ecbbcbd4f5d5700e91bc8 105868 libsprng2-dev_2.0a-8_i386.deb
 4a917becdf92194d7222879dd1e1c4a6cb821ccb1599919165dcef361781de7a 1197422 libsprng2-doc_2.0a-8_all.deb
Files: 
 7a10e8e6dbb568665cd87cb3d481728d 965 math optional sprng_2.0a-8.dsc
 a44ccf4bf8cbbb99a06792b8bea7aac9 8301 math optional sprng_2.0a-8.diff.gz
 65e4d4e43dac3f6221f3ffc707febf80 98868 math optional libsprng2_2.0a-8_i386.deb
 e2a856034fc9299e393ca7fab783f9bf 105868 libdevel optional libsprng2-dev_2.0a-8_i386.deb
 7ea9bce872a990eedd25fd28011dfb70 1197422 doc optional libsprng2-doc_2.0a-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFN1GFCCZSR95Gw07cRAvBrAJ9qYfyvMuiKN470MENU3432OlglbgCcD3tF
3J+g1epb/2nqbL+GZb9DpyU=
=me6u
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jun 2011 07:35:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:06:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.